curl --location 'https://integrations.projectcor.com/v2/integrations/seniority' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"id": "external_seniority_id_10",
"name": "Ssr.",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority"
payload = {
"id": "external_seniority_id_10",
"name": "Ssr.",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 'external_seniority_id_10',
name: 'Ssr.',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Ssr.",
"company_id": 2336,
"created_at": "2026-01-26 15:15:30",
"updated_at": "2026-01-26 15:15:30",
"id": "external_seniority_id_10"
}
}
{
"status": "ERROR",
"code": "ZC001",
"message": "required validation failed on name"
}
{
"status": "ERROR",
"code": "ZC004",
"message": "Association already exists"
}
Seniority
Create Seniority
Creates a new seniority level in your COR instance with external ID mapping
POST
/
v2
/
integrations
/
seniority
curl --location 'https://integrations.projectcor.com/v2/integrations/seniority' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"id": "external_seniority_id_10",
"name": "Ssr.",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority"
payload = {
"id": "external_seniority_id_10",
"name": "Ssr.",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 'external_seniority_id_10',
name: 'Ssr.',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Ssr.",
"company_id": 2336,
"created_at": "2026-01-26 15:15:30",
"updated_at": "2026-01-26 15:15:30",
"id": "external_seniority_id_10"
}
}
{
"status": "ERROR",
"code": "ZC001",
"message": "required validation failed on name"
}
{
"status": "ERROR",
"code": "ZC004",
"message": "Association already exists"
}
Creates a new seniority level in your COR instance through the integrations service. Seniority levels can be associated with user positions.
Request Body Requirements
string
required
External seniority ID from your source system
string
required
Seniority level name (e.g., “Jr.”, “Ssr.”, “Sr.”, “Lead”)
Known Errors
ZC001— Required validation failed. Missing required fields (e.g., name)ZC004— Association already exists. A seniority with this external ID already exists for this source
curl --location 'https://integrations.projectcor.com/v2/integrations/seniority' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"id": "external_seniority_id_10",
"name": "Ssr.",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority"
payload = {
"id": "external_seniority_id_10",
"name": "Ssr.",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 'external_seniority_id_10',
name: 'Ssr.',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Ssr.",
"company_id": 2336,
"created_at": "2026-01-26 15:15:30",
"updated_at": "2026-01-26 15:15:30",
"id": "external_seniority_id_10"
}
}
{
"status": "ERROR",
"code": "ZC001",
"message": "required validation failed on name"
}
{
"status": "ERROR",
"code": "ZC004",
"message": "Association already exists"
}
Was this page helpful?
⌘I

